| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
ob::FrameHelper Class Reference

`#include <Frame.hpp>`

## Public Member Functions
| FrameHelper ()
| ~FrameHelper ()

## Static Public Member Functions
static std::shared_ptr< Frame > | createFrameFromBuffer (OBFormat format, uint32_t frameWidth, uint32_t frameHeight, uint8_t *buffer, uint32_t bufferSize, BufferDestroyCallback destroyCallback, void *destroyCallbackContext)
| 根据外部创建的Buffer创建帧对象 More...
static std::shared_ptr< Frame > | createFrameSet ()
| 创建空的帧集合对象 More...
static void | pushFrame (std::shared_ptr< Frame > frameSet, OBFrameType frameType, std::shared_ptr< Frame > frame)
| 往帧集合中填入对应类型的帧 More...
static void | setFrameSystemTimestamp (std::shared_ptr< Frame > frame, uint64_t systemTimestamp)
| 设置帧的系统时间戳 More...
static void | setFrameDeviceTimestamp (std::shared_ptr< Frame > frame, uint64_t deviceTimestamp)
| 设置帧的设备时间戳 More...
static void | setFrameDeviceTimestampUs (std::shared_ptr< Frame > frame, uint64_t deviceTimestampUs)
| 设置帧的设备时间戳 More...

## Detailed Description

Definition at line 489 of file Frame.hpp.

## Constructor & Destructor Documentation

ob::FrameHelper::FrameHelper | ( |  | ) |

ob::FrameHelper::~FrameHelper | ( |  | ) |

## Member Function Documentation

static std::shared_ptr<Frame> ob::FrameHelper::createFrameFromBuffer | ( | OBFormat | format,
|  | uint32_t | frameWidth,
|  | uint32_t | frameHeight,
|  | uint8_t * | buffer,
|  | uint32_t | bufferSize,
|  | BufferDestroyCallback | destroyCallback,
|  | void * | destroyCallbackContext
| ) |  |
| static

根据外部创建的Buffer创建帧对象

Parameters

  format | 帧对象格式
  frameWidth | 帧对象宽
  frameHeight | 帧对象高
  buffer | 帧对象数据
  bufferSize | 帧对象数据大小

Returns
  std::shared_ptr<Frame> 返回帧对象

static std::shared_ptr<Frame> ob::FrameHelper::createFrameSet | ( |  | ) |
| static

创建空的帧集合对象

Returns
  std::shared_ptr<Frame> 返回帧集合对象

static void ob::FrameHelper::pushFrame | ( | std::shared_ptr< Frame > | frameSet,
|  | OBFrameType | frameType,
|  | std::shared_ptr< Frame > | frame
| ) |  |
| static

往帧集合中填入对应类型的帧

Parameters

  frameSet | 帧集合对象
  frameType | 填入帧的类型
  frame | 填入帧的对象

static void ob::FrameHelper::setFrameSystemTimestamp | ( | std::shared_ptr< Frame > | frame,
|  | uint64_t | systemTimestamp
| ) |  |
| static

设置帧的系统时间戳

Parameters

  frame | 设置的帧对象
  systemTimestamp | 设置的系统时间戳

static void ob::FrameHelper::setFrameDeviceTimestamp | ( | std::shared_ptr< Frame > | frame,
|  | uint64_t | deviceTimestamp
| ) |  |
| static

设置帧的设备时间戳

Parameters

  frame | 设置的帧对象
  deviceTimestamp | 设置的设备时间戳

static void ob::FrameHelper::setFrameDeviceTimestampUs | ( | std::shared_ptr< Frame > | frame,
|  | uint64_t | deviceTimestampUs
| ) |  |
| static

设置帧的设备时间戳

Parameters

  frame | 设置的帧对象
  deviceTimestampUs | 设置的设备时间戳（Us）

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/Frame.hpp